# noarch, but to avoid debug*.list interfering with signature/manifest tests:
%define debug_package %{nil}

Name:           perl-Test-Distribution
Version:        1.26
Release:        4%{?dist}
Summary:        Perform tests on all modules of a distribution
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Distribution/
Source0:        http://www.cpan.org/authors/id/S/SR/SRSHAH/Test-Distribution-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  perl(Module::Build)
BuildRequires:  perl(File::Find::Rule) >= 0.03
BuildRequires:  perl(Module::CoreList) >= 1.93
BuildRequires:  perl(Module::Signature)
BuildRequires:  perl(Pod::Coverage) >= 0.17
BuildRequires:  perl(Test::Pod) >= 0.95
BuildRequires:  perl(Test::Pod::Coverage)

# these are considered "optional"; autoreq doesn't pick them up
Requires:       perl(File::Find::Rule) >= 0.03
Requires:       perl(Module::CoreList) >= 1.93
Requires:       perl(Module::Signature)
Requires:       perl(Pod::Coverage) >= 0.17
Requires:       perl(Test::Pod) >= 0.95
Requires:       perl(Test::Pod::Coverage)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
When using this module in a test script, it goes through all the modules in
your distribution, checks their POD, checks that they compile ok and checks
that they all define a $VERSION.

%prep
%setup -q -n Test-Distribution-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
# appease Module::Signature
tmpdir=$(mktemp -d %{_tmppath}/%{name}-%{version}-%{release}.XXXXXX)
mkdir -m 700 $tmpdir/_gnupg
export GNUPGHOME=$tmpdir/_gnupg
./Build test && rm -rf $tmpdir

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Mar 10 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.26-4
- don't mess with debuginfo, just disable it.
- appease Module::Signature/gpg

* Thu Mar 01 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.26-3
- cause rm to not fail on non-existance of debug*list in check.

* Wed Dec 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.26-2
- bump

* Wed Dec 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.26-1
- Specfile autogenerated by cpanspec 1.69.1.
